summaryrefslogtreecommitdiff
path: root/ci/post-receive
diff options
context:
space:
mode:
Diffstat (limited to 'ci/post-receive')
-rwxr-xr-xci/post-receive10
1 files changed, 10 insertions, 0 deletions
diff --git a/ci/post-receive b/ci/post-receive
new file mode 100755
index 0000000..4efe420
--- /dev/null
+++ b/ci/post-receive
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -xu
+DSTDIR="$HOME/build/haxircd"
+rm -rf "$DSTDIR"
+git clone "$(pwd)" "$DSTDIR"
+cd "$DSTDIR"
+curl -o config.c 'https://git.andrewyu.org/hax/haxircd-docs.git/plain/ci/config.c'
+curl -o .makeopts 'https://git.andrewyu.org/hax/haxircd-docs.git/plain/ci/.makeopts'
+sed -ibak 's/|| errno == ENONET//g' networks/*.c
+gmake